#3427 closed project (wontfix)

Improvements to barectf

Reported by: Vidushi Vashishth Owned by: Vidushi Vashishth
Priority: normal Milestone:
Component: tool Version:
Severity: normal Keywords: GSoC'18
Cc: Sebastian Huber, Gedare Bloom, Chris Johns Blocked By:
Blocking:

Description

barectf is a command line generator of C tracers which outputs CTF packets natively. Barectf suffers through the following limitations:

1) Lacks support for compound data types such as array and structs
2) Depends on stdint.h header file which is in the new C99. If this is not supported by standard C library on the users machine then a new library defining all the relevant datatypes can be created.

This task involves overcoming the aforementioned drawbacks of barectf and is a part of the project

Change History (9)

comment:1 Changed on May 9, 2018 at 6:03:25 AM by Sebastian Huber

I don't understand the problem with a stdint.h dependency.

comment:2 Changed on May 9, 2018 at 6:10:44 AM by Vidushi Vashishth

The barectf generated C code needs the stdint.h header file because of the use of datatypes int8_t, int16_t etc. This header file is supported by the new C99. If the standard C file on the user machine does not have this header then it needs to be created according to the architecture of the user machine.

comment:3 Changed on May 9, 2018 at 6:15:30 AM by Sebastian Huber

What is a user machine? Which user machines lack support for C99? If a user machine is an RTEMS target, then you can assume C11.

comment:4 Changed on May 9, 2018 at 6:38:59 AM by Vidushi Vashishth

Yes by user machine I mean RTEMS target. I will update the ticket description.

comment:5 Changed on May 9, 2018 at 6:41:13 AM by Sebastian Huber

The use of stdint.h is not a problem in RTEMS.

comment:6 Changed on May 9, 2018 at 6:55:53 AM by Vidushi Vashishth

I am not too sure if the host machine too should have support for stdint.h. I will try running a few barectf example codes and then update the ticket likewise.

comment:7 Changed on May 9, 2018 at 7:00:08 AM by Sebastian Huber

I don't think that a stdint.h dependency is a problem for a host machine.

comment:8 Changed on Feb 20, 2019 at 10:10:30 AM by Sebastian Huber

Resolution: wontfix
Status: assignedclosed

According to the barectf documentation as of 2019-02-20 there is still no support for CTF compound types. At the moment this is not an RTEMS issue.

comment:9 Changed on Feb 20, 2019 at 10:10:49 AM by Sebastian Huber

Component: admintool
Type: taskproject
Note: See TracTickets for help on using tickets.